> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/khach-hang/danh-sach-khach-hang.md).

# Danh sách khách hàng

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/accounts/getlistAccountbyPartner)

<mark style="color:green;">`POST /`</mark>accounts/getlistAccountbyPartner

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="/pages/t1tDBWKqV56vJX2nCGS3#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>filter_by</td><td>string</td><td>filter_by có 2 giá trị <strong>UPDATE</strong> và <strong>CREATE</strong></td></tr><tr><td>order_by</td><td>string</td><td>order_by có 2 giá trị <strong>DESC</strong> và <strong>ASC</strong></td></tr><tr><td>date_time_start</td><td>datetime</td><td>Thời gian bắt đầu lọc , định dạng Y-m-d H:i:s <br>Ví dụ : <strong>2025-03-13 08:00:00</strong></td></tr><tr><td>date_time_end</td><td>datetime</td><td>Thời gian kết thúc lọc , định dạng Y-m-d H:i:s <br>Ví dụ : <strong>2025-03-13 23:59:59</strong></td></tr><tr><td>page</td><td>int</td><td>Phân trang, lấy kết quả ở trang thứ mấy, mặc định giá trị là <strong>0</strong></td></tr><tr><td>limit</td><td>int</td><td>Giới hạn kết quả trả ra, mặc định là <strong>10</strong></td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
"access_token":"MWM4MmFjYjYzYzYwOTkxOTg1OGVjNTA1NjcxY2QwZDc=",
"partner_name":"bizfly",
"filter_by":"CREATE",
"order_by":"DESC",
"date_time_start":"2023-05-01 00:00:00",
"date_time_end":"2023-08-14 23:59:59",
"page":0,
"limit":3
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
  "total": 1,
  "data": [
    {
      "accountid": 7374504,
      "account_no": "ACC468389",
      "account_no_shop": "",
      "accountname": "test",
      "phone": "0377500000",
      "otherphone": "0982500000",
      "email1": "abc@gmail.com",
      "email2": null,
      "chanel": null,
      "status": 0,
      "diachigiaohang": "Hapulico VTP",
      "created_at": "2023-07-17 14:16:12",
      "updated_at": "2023-08-21 10:09:44",
      "account_label": "",
      "bill_street": "Hapulico VTP 1",
      "diachivanphong": "Hapulico VTP 2",
      "diachi_vat": "Hapulico VTP 3",
      "thongdiep": null,
      "birthday": "0000-00-00",
      "use_zalo": 0,
      "gioi_tinh": "",
      "owner_name": "HN - Thuỳ Linh",
      "productstorename": "HTX Hà Nội",
      "nguonkhach": ""
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.abit.vn/khach-hang/danh-sach-khach-hang.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
